com.brightcove.player.edge

## Class AbstractOfflineCatalog.Builder<T extends AbstractOfflineCatalog.Builder<T>>

- java.lang.Object
- - com.brightcove.player.edge.Catalog.AbstractBuilder<T>
  - - com.brightcove.player.edge.AbstractOfflineCatalog.Builder<T>

- Direct Known Subclasses:
    OfflineCatalog.Builder
  Enclosing class:
    AbstractOfflineCatalog

      protected abstract static class AbstractOfflineCatalog.Builder<T extends AbstractOfflineCatalog.Builder<T>>
      extends Catalog.AbstractBuilder<T>

  An abstract Builder which sets the bases to create the OfflineCatalog object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(android.content.Context context, EventEmitter eventEmitter, java.lang.String account)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T` | `self()` Returns the instance of itself.
    `T` | `setDownloadFileCreator(DownloadFileCreator downloadFileCreator)` Sets the `DownloadFileCreator` to retrieve a directory to store offline content.

    - ### Methods inherited from class com.brightcove.player.edge.Catalog.AbstractBuilder

      `build, setBaseURL, setPolicy, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(@NonNull
                         android.content.Context context,
                         @NonNull
                         EventEmitter eventEmitter,
                         @NonNull
                         java.lang.String account)

  - ### Method Detail

    - #### setDownloadFileCreator

          public T setDownloadFileCreator(@NonNull
                                          DownloadFileCreator downloadFileCreator)

      Sets the `DownloadFileCreator` to retrieve a directory to store offline content.

    - #### self

          protected abstract T self()

      Description copied from class: `Catalog.AbstractBuilder`
      Returns the instance of itself. This is a part of the pattern to set the Builder ready for inheritance.
      Specified by:
        `self` in class `Catalog.AbstractBuilder<T extends AbstractOfflineCatalog.Builder<T>>`